unit Nwfile;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Nwfs, Grids, Outline, Nwconn, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    NWConn1: TNWConn;
    NWFile1: TNWFile;
    NWDirectory1: TNWDirectory;
    NWVolume1: TNWVolume;
    NWFileSystem1: TNWFileSystem;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Notebook1: TNotebook;
    Panel1: TPanel;
    Panel2: TPanel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    Label1: TLabel;
    CheckBox6: TCheckBox;
    CheckBox7: TCheckBox;
    Label2: TLabel;
    Label3: TLabel;
    Notebook2: TNotebook;
    Panel3: TPanel;
    Panel4: TPanel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    CheckBox8: TCheckBox;
    CheckBox9: TCheckBox;
    CheckBox10: TCheckBox;
    CheckBox11: TCheckBox;
    CheckBox12: TCheckBox;
    CheckBox13: TCheckBox;
    CheckBox14: TCheckBox;
    CheckBox15: TCheckBox;
    CheckBox16: TCheckBox;
    CheckBox17: TCheckBox;
    CheckBox18: TCheckBox;
    CheckBox19: TCheckBox;
    CheckBox20: TCheckBox;
    CheckBox21: TCheckBox;
    CheckBox22: TCheckBox;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    procedure NWFile1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure NWFile1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
    procedure CheckBox7Click(Sender: TObject);
    procedure CheckBox15Click(Sender: TObject);
    procedure CheckBox16Click(Sender: TObject);
    procedure CheckBox17Click(Sender: TObject);
    procedure CheckBox18Click(Sender: TObject);
    procedure CheckBox19Click(Sender: TObject);
    procedure CheckBox21Click(Sender: TObject);
    procedure CheckBox20Click(Sender: TObject);
    procedure CheckBox22Click(Sender: TObject);
    procedure Edit3KeyPress(Sender: TObject; var Key: Char);
  private
    { Private-dclarations }
  public
    { Public-dclarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.NWFile1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if Key=46 {Suppr} then
begin
  if NWFile1.TypeObject='file' then
  begin
     NWFileSystem1.EraseFile(NWFile1.AllPath);
     NWFile1.Refresh;
  end
  else
  begin
     NWFileSystem1.DeleteDirectory(NWFile1.AllPath);
     NWFile1.Refresh;
  end;
end;

end;

procedure TForm1.BitBtn1Click(Sender: TObject);
var
  rep:String;
begin
  rep:='';
  if inputQuery('Creation d''un repertoire','Nom du repertoire',rep) then
  begin
     NWFileSystem1.CreateDirectory(NWFile1.Path+'\'+rep);
     NWFile1.Refresh;
  end;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
var
  rep:String;
begin
  rep:='';
  if NWFile1.TypeObject='file' then
  begin
     if inputQuery('Renommer un fichier','Nom du fichier',rep) then
     begin
        NWFileSystem1.RenameFile(NWFile1.AllPath,NWFile1.Path+'\'+rep);
        NWFile1.Refresh;
     end;
  end
  else
     if inputQuery('Renommer un repertoire','Nom du repertoire',rep) then
     begin
        NWFileSystem1.RenameDirectory(NWFile1.AllPath,NWFile1.Path+'\'+rep);
        NWFile1.Refresh;
     end;
end;

procedure TForm1.NWFile1Click(Sender: TObject);
begin
  NoteBook1.ActivePage:=NWFile1.TypeObject;
  NoteBook2.ActivePage:=NWFile1.TypeObject;
  if NWFile1.TypeObject='file' then
  begin
     CheckBox1.Checked:=NWFile1.FileObject.FAReadOnly;
     CheckBox2.Checked:=NWFile1.FileObject.FAHidden;
     CheckBox3.Checked:=NWFile1.FileObject.FASystem;
     CheckBox4.Checked:=NWFile1.FileObject.FAExecuteOnly;
     CheckBox5.Checked:=NWFile1.FileObject.FAShareable;
     CheckBox8.Checked:=NWFile1.FileObject.FMOpenForRead;
     CheckBox9.Checked:=NWFile1.FileObject.FMOpenForWrite;
     CheckBox10.Checked:=NWFile1.FileObject.FMDenyReadFromOthers;
     CheckBox11.Checked:=NWFile1.FileObject.FMDenyWriteFromOthers;
     CheckBox12.Checked:=NWFile1.FileObject.FMFileDetach;
     CheckBox13.Checked:=NWFile1.FileObject.FMTTSHoldingDetach;
     CheckBox14.Checked:=NWFile1.FileObject.FMTTSHoldingOpen;
     Edit1.Text:=inttostr(NWFile1.FileObject.jour)+'/'+
                 inttostr(NWFile1.FileObject.mois)+'/'+
                 inttostr(NWFile1.FileObject.annee);
     Edit2.Text:=inttostr(NWFile1.FileObject.Heure)+':'+
                 inttostr(NWFile1.FileObject.Minute)+':'+
                 inttostr(NWFile1.FileObject.Seconde);
     Edit3.ReadOnly:=True;
     Edit3.Text:=IntToStr(NWFile1.FileObject.Taille);
  end
  else
  begin
     CheckBox6.Checked:=NWFile1.DirObject.DAHidden;
     CheckBox7.Checked:=NWFile1.DirObject.DASystem;
     checkBox15.Checked:=NWFile1.DirObject.DRRead;
     checkBox16.Checked:=NWFile1.DirObject.DRWrite;
     checkBox17.Checked:=NWFile1.DirObject.DROpen;
     checkBox18.Checked:=NWFile1.DirObject.DRCreate;
     checkBox19.Checked:=NWFile1.DirObject.DRDelete;
     checkBox20.Checked:=NWFile1.DirObject.DROwnerShip;
     checkBox21.Checked:=NWFile1.DirObject.DRSearch;
     checkBox22.Checked:=NWFile1.DirObject.DRModify;
     Edit1.Text:=inttostr(NWFile1.DirObject.jour)+'/'+
                 inttostr(NWFile1.DirObject.mois)+'/'+
                 inttostr(NWFile1.DirObject.annee);
     Edit2.Text:=inttostr(NWFile1.DirObject.Heure)+':'+
                 inttostr(NWFile1.DirObject.Minute)+':'+
                 inttostr(NWFile1.DirObject.Seconde);
     Edit3.ReadOnly:=False;
     Edit3.Text:=NWFile1.DirObject.proprietaire;
  end;

end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  NWFile1.FileObject.FAReadOnly:=CheckBox1.Checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  NWFile1.FileObject.FAHidden:=CheckBox2.Checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  NWFile1.FileObject.FASystem:=CheckBox3.Checked;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
  NWFile1.FileObject.FAExecuteOnly:=CheckBox4.Checked;
end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin
  NWFile1.FileObject.FAShareable:=CheckBox5.Checked;
end;

procedure TForm1.CheckBox6Click(Sender: TObject);
begin
  NWFile1.DirObject.DAHidden:=CheckBox6.Checked;
end;

procedure TForm1.CheckBox7Click(Sender: TObject);
begin
  NWFile1.DirObject.DASystem:=CheckBox7.Checked;
end;



procedure TForm1.CheckBox15Click(Sender: TObject);
begin
  NWFile1.DirObject.DRRead:=CheckBox15.Checked;
end;

procedure TForm1.CheckBox16Click(Sender: TObject);
begin
  NWFile1.DirObject.DRWrite:=CheckBox16.Checked;
end;

procedure TForm1.CheckBox17Click(Sender: TObject);
begin
  NWFile1.DirObject.DROpen:=CheckBox17.Checked;
end;

procedure TForm1.CheckBox18Click(Sender: TObject);
begin
  NWFile1.DirObject.DRCreate:=CheckBox18.Checked;
end;

procedure TForm1.CheckBox19Click(Sender: TObject);
begin
  NWFile1.DirObject.DRDelete:=CheckBox19.Checked;
end;

procedure TForm1.CheckBox20Click(Sender: TObject);
begin
  NWFile1.DirObject.DROwnership:=CheckBox20.Checked;
end;

procedure TForm1.CheckBox21Click(Sender: TObject);
begin
  NWFile1.DirObject.DRSearch:=CheckBox21.Checked;
end;

procedure TForm1.CheckBox22Click(Sender: TObject);
begin
  NWFile1.DirObject.DRModify:=CheckBox22.Checked;
end;

procedure TForm1.Edit3KeyPress(Sender: TObject; var Key: Char);
begin
  if NWFile1.TypeObject='directory' then
     if key=#13 then
        NWFile1.DirObject.Proprietaire:=Edit3.Text;
end;

end.
